GIMP-REMOTE(1)

NAME
gimp-remote - tells a running gimp to open a (local or remote) image file.

SYNOPSIS
gimp-remote [-h] [--help] [-v] [--version] [-n] [--new] filename...

DESCRIPTION

gimp-remote is a small utility that tells a running gimp to open a (local or remote) image file. It does so by searching for a gimp toolbox on the active display. If it can find a gimp toolbox, a synthetic drop event is created which makes gimp think the files would have been dropped onto the toolbox. More than one filename or URL can be specified on the commandline.

OPTIONS
gimp-remote accepts the following options:

-h, --help
    Display a list of all commandline options.

-v, --version
    Output the version info.

-n, --new
    If no running gimp is found, a new instance of gimp is started. The files to open are passed to the new gimp.

EXAMPLES

gimp-remote http://www.gimp.org/icons/frontpage-small.gif
    Loads an image from the gimp webpage into a running gimp.

gimp-remote -n wilber.xcf  wilma.xcf
    Loads the local files wilber.xcf and wilma.xcf into a running gimp. If no gimp is running, a new one is started.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

AUTHORS
Sven Neumann and Simon Budig.

SEE ALSO
gimp(1), gimprc(5), gimptool(1)